According to the Plesk lifecycle policy Plesk 12.x versions will reach EOL on January 1, 2019. Starting from that date, Plesk 12.x versions will no longer be actively developed and technical support requests for Plesk 12.x will no longer be accepted.

If you are running Plesk 12.0 or Plesk 12.5, we recommend that you upgrade your Plesk server to the latest stable…

Plesk discontinues support for Plesk 12.0 and Plesk 12.5.